package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author gejiang
 * @since 2023-01-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="WorkerChangeIntegralRecord对象", description="")
public class WorkerChangeIntegralRecord extends Model<WorkerChangeIntegralRecord> {

    private static final long serialVersionUID=1L;

    @TableId(value = "worker_score_id", type = IdType.ID_WORKER_STR)
    private String workerScoreId;

    @ApiModelProperty(value = "工程师id")
    private String workerId;

    @ApiModelProperty(value = "师傅名称")
    private String workerName;

    @ApiModelProperty(value = "移动电话")
    private String mobile;

    @ApiModelProperty(value = "身份证")
    private String idcard;

    @ApiModelProperty(value = "信息编号")
    private String workerOrderNo;

    @ApiModelProperty(value = "积分类型 ")
    private String integalType;

    @ApiModelProperty(value = "变动积分")
    private Integer changeScore;

    @ApiModelProperty(value = "换算积分")
    private Integer changeScoreConversion;

    @ApiModelProperty(value = "变更前积分")
    private Integer beforeScore;

    @ApiModelProperty(value = "变更后积分")
    private Integer afterScore;

    @ApiModelProperty(value = "说明")
    private String notes;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建人（制单人）")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;


    @Override
    protected Serializable pkVal() {
        return this.workerScoreId;
    }

}
